filesize
flock
Filesystem Functions
PHP Manual

# filetype

(PHP 4, PHP 5)

filetype — Gets file type

### Description

string filetype ( string `$filename` )

Returns the type of the given file.

### Parameters

`filename`

  Path to the file.

### Return Values

Returns the type of the file. Possible values are fifo, char, dir, block, link, file, socket and unknown.

Returns `FALSE` if an error occurs. filetype() will also produce an `E_NOTICE` message if the stat call fails or if the file type is unknown.

### Examples

Example #1 filetype() example

`<?php
echo filetype('/etc/passwd'); // file
echo filetype('/etc/'); // dir
?>`

### Notes

> Note: The results of this function are cached. See clearstatcache() for more details.

Tip

As of PHP 5.0.0, this function can also be used with some URL wrappers. Refer to List of Supported Protocols/Wrappers for a listing of which wrappers support stat() family of functionality.

### See Also

- is_dir()
- is_file()
- is_link()
- file_exists()
- stat()
- mime_content_type()

filesize
flock
Filesystem Functions
PHP Manual